%define gaiver	0.5.8

Summary:	GAI Pal applet
Name:		gai-pal
Version:	0.7
Release:	16%{?dist}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		gai-pal-0.7-xosd-empty-msg.patch
Patch1:		gai-pal-0.7-typo.patch
Patch2:		gai-pal-0.7-nostrip.patch
Patch3:		gai-pal-0.7-fonts.patch
URL:		http://gai.sourceforge.net
License:	GPLv2
Group:		User Interface/Desktops
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gai-devel >= %{gaiver}
BuildRequires:	xosd-devel

%description
A GAI applet, providing a friend that always has something wise
or funny to say.

%prep
%setup -q
%patch0 -p1 -b .xosd-empty-msg
%patch1 -p1 -b .typo
%patch2 -p1 -b .nostrip
%patch3 -p1 -b .fonts
# Has an effect on multi-lib platforms.
sed -i 's!/lib/!/%{_lib}/!' Makefile.in


%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/gai-pal
%{_libdir}/bonobo/servers/*.server
%{_datadir}/pixmaps/*

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Sep  6 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.7-15
- apply first patch as patch0

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7-14
- Autorebuild for GCC 4.3

* Fri Jan 18 2008 Michel Salim <michel.sylvan@gmail.com> - 0.7-13
- Rebuild for Fedora 9 (development tree)

* Mon Oct 15 2007 Michael Schwendt <mschwendt@fedoraproject.org> - 0.7-12
- set large font to size 24 instead of 26
- empty stdout of fortune program must not crash xosd either
- clarify licence: GPLv2

* Thu May 24 2007 Michael Schwendt <mschwendt@fedoraproject.org>
- substitute /lib/ with /%%_lib/ not just for x86_64 (fixes ppc64 build)

* Mon Oct 02 2006 Michael Schwendt <mschwendt@fedoraproject.org> - 0.7-11
- rebuilt

* Tue Sep 19 2006 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt

* Sat Mar  4 2006 Michel Salim <michel.salim@gmail.com> - 0.7-9
- Rebuild for Fedora Extras 5

* Sun Feb 12 2006 Michel Salim <michel.salim@gmail.com> - 0.7-8
- rebuild against new gtk2 and gtkglext

* Wed Aug 17 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 0.7-7
- rebuilt

* Mon May  9 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 0.7-6
- Create debuginfo package, disable stripping via patch.

* Fri Apr  7 2005 Michael Schwendt <mschwendt@fedoraproject.org>
- rebuilt

* Sun Feb 27 2005 Michael Schwendt <mschwendt@fedoraproject.org> - 0.7-4
- BR xosd-devel
- fix xosd crash if fortune program missing or message is empty
- fix message in fortune preferences window
- drop confusing usage of macros in NVR (fixes release tag!)

* Sat Feb 26 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.7-3
- a "sed -i 's!/lib/!/%%{_lib}/!' Makefile.in" fixes x86_64

* Sat Nov  6 2004 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> - 0.7-1
- Updated to 0.7, require gai 0.5.8

* Mon Oct 27 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> - 0.4-0.fdr.1
- Updated to 0.4, require gai 0.5

* Tue May 13 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> - 0.2-0.fdr.1
- Initial RPM release
